Subject: Re: bug in wait code.
From: [email-masked] (Chris Faylor)

2 Nov 1997 12:52:18 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

In article <[email-masked]>,
rale  <[email-masked]> wrote:
>Hi,
>  There seems to be a bug in the wait code somewhere, that shows up
>randomly while running configure scripts under Win98.
>Here is the error returned:
>
>(C:\UNIX\BIN\SH.EXE 1061) wait_subproc: wait failed. nchildren 1, wait
>-1, err 6

It is also possible that there is a problem with Win98 since I haven't
seen reports of this on Windows 95 or Windows NT.

>then seems to go into an infinate loop, and keeps printing the same
>error.  I havent been able to find the exact problem, and it seems
>pretty random.  I think i know why its going into a loop tho.  The
>following patch should fix this, but i havent had a chance to test it
>out.  It does seem to make sence to break out of the for(;;) loop if
>the wait fails..
>
>--- sigproc.cc.orig     Sat Nov 01 18:59:03 1997
>+++ sigproc.cc  Sat Nov 01 18:52:09 1997
>@@ -814,7 +814,7 @@
>        {
>          alert_printf ("wait failed. nchildren %d, wait %d, err %d\n",
>                        nchildren, loop_wait, GetLastError ());
>-         continue;
>+         break;
>        }
>
>       rc -= WAIT_OBJECT_0;

This will certainly break out of the loop but the program will not
function properly from then on.  waits will no longer work.  I'm not
sure that's exactly the right solution.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".